package com.landray.kmss.sys.attachment.integrate.wps.util;

import com.landray.kmss.framework.plugin.core.config.IExtension;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.sys.attachment.integrate.wps.interfaces.ISysAttachmentWpsWebOfficeProvider;
import java.util.ArrayList;
import com.landray.kmss.framework.service.plugin.Plugin;
import com.landray.kmss.sys.attachment.integrate.wps.SysAttWpsWebOfficePlugin;
import java.util.List;

public class SysAttWpsWebOfficePluginUtil
{
    private static final String ID = "com.landray.kmss.sys.attachment.integrate.wps";
    private static List<SysAttWpsWebOfficePlugin> extensionList;
    
    static {
        SysAttWpsWebOfficePluginUtil.extensionList = null;
    }
    
    public static List<SysAttWpsWebOfficePlugin> getExtensionList() {
        if (SysAttWpsWebOfficePluginUtil.extensionList == null) {
            final IExtension[] extensions = Plugin.getExtensions("com.landray.kmss.sys.attachment.integrate.wps", "*", "wps");
            SysAttWpsWebOfficePluginUtil.extensionList = new ArrayList<SysAttWpsWebOfficePlugin>();
            IExtension[] array;
            for (int length = (array = extensions).length, i = 0; i < length; ++i) {
                final IExtension extension = array[i];
                final SysAttWpsWebOfficePlugin plugin = new SysAttWpsWebOfficePlugin();
                plugin.setKey(Plugin.getParamValueString(extension, "key"));
                plugin.setName(Plugin.getParamValueString(extension, "name"));
                plugin.setProvider((ISysAttachmentWpsWebOfficeProvider)Plugin.getParamValue(extension, "provider"));
                final String order = Plugin.getParamValueString(extension, "order");
                if (StringUtil.isNotNull(order)) {
                    plugin.setOrder(Integer.valueOf(Integer.parseInt(order)));
                }
                SysAttWpsWebOfficePluginUtil.extensionList.add(plugin);
            }
        }
        return SysAttWpsWebOfficePluginUtil.extensionList;
    }
}
